Bug 188610 - [PATCH] databases/py-pg8000: stage
Summary: [PATCH] databases/py-pg8000: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-14 13:10 UTC by Bartek Rutkowski
Modified: 2014-05-13 00:47 UTC (History)
1 user (show)

See Also:


Attachments
py-pg8000-1.09.patch (438 bytes, patch)
2014-04-14 13:10 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-14 13:10:01 UTC
- Stage
- Pet portlint

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-14 13:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-15 08:16:56 UTC
Author: wen
Date: Tue Apr 15 07:16:52 2014
New Revision: 351306
URL: http://svnweb.freebsd.org/changeset/ports/351306
QAT: https://qat.redports.org/buildarchive/r351306/

Log:
  - Stage support [1]
  - Pet portlint [1]
  - Update to 1.9.7
  - Convert to PYDISTUTILS_AUTOPLIST
  - Update WWW
  - Add LICENSE
  
  PR:		188610 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]

Deleted:
  head/databases/py-pg8000/pkg-plist
Modified:
  head/databases/py-pg8000/Makefile
  head/databases/py-pg8000/distinfo
  head/databases/py-pg8000/pkg-descr

Modified: head/databases/py-pg8000/Makefile
==============================================================================
--- head/databases/py-pg8000/Makefile	Tue Apr 15 04:01:14 2014	(r351305)
+++ head/databases/py-pg8000/Makefile	Tue Apr 15 07:16:52 2014	(r351306)
@@ -2,16 +2,22 @@
 # $FreeBSD$
 
 PORTNAME=	pg8000
-PORTVERSION=	1.09
+PORTVERSION=	1.9.7
 CATEGORIES=	databases python
-MASTER_SITES=	GOOGLE_CODE
+MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	wen@FreeBSD.org
-COMMENT=	A Pure-Python Interface to the PostgreSQL Database
+COMMENT=	Pure-Python Interface to the PostgreSQL Database
 
-USE_PYTHON=	2
-USE_PYDISTUTILS=easy_install
+LICENSE=	BSD3CLAUSE
+#USES=		zip
+#USE_GITHUB=	yes
+#GH_ACCOUNT=	mfenniak
+#GH_COMMIT=	08d505f
+
+USE_PYTHON=		2
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/databases/py-pg8000/distinfo
==============================================================================
--- head/databases/py-pg8000/distinfo	Tue Apr 15 04:01:14 2014	(r351305)
+++ head/databases/py-pg8000/distinfo	Tue Apr 15 07:16:52 2014	(r351306)
@@ -1,2 +1,2 @@
-SHA256 (pg8000-1.09.tar.gz) = 3d959add1425e683bca2266b3b59f16fd4cfb87ddf65635e3621971d7bb610f9
-SIZE (pg8000-1.09.tar.gz) = 64115
+SHA256 (pg8000-1.9.7.tar.gz) = 4e9cc7a959c004b2452d9ad44cd1abd9244f49ce06c25a87998303f290405c48
+SIZE (pg8000-1.9.7.tar.gz) = 28379

Modified: head/databases/py-pg8000/pkg-descr
==============================================================================
--- head/databases/py-pg8000/pkg-descr	Tue Apr 15 04:01:14 2014	(r351305)
+++ head/databases/py-pg8000/pkg-descr	Tue Apr 15 07:16:52 2014	(r351306)
@@ -6,4 +6,4 @@ external libraries (such as a compiled p
 PostgreSQL's libpq library). pg8000 supports the standard
 Python DB-API version 2.0.
 
-WWW: http://code.google.com/p/pg8000/
+WWW: https://github.com/mfenniak/pg8000
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2014-05-13 00:47:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!